Description: Use explicit localhost in tests
 Use explicit 127.0.01 in tests to avoid use hostname, that avoid fail and
 is reproducible.
Author: Emmanuel Arias
Forwarded: no
Last-Update: 2024-12-05
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/fsspec/tests/conftest.py
+++ b/fsspec/tests/conftest.py
@@ -181,7 +181,7 @@
 
 @contextlib.contextmanager
 def serve():
-    server_address = ("", 0)
+    server_address = ("127.0.0.1", 0)
     httpd = HTTPServer(server_address, HTTPTestHandler)
     th = threading.Thread(target=httpd.serve_forever)
     th.daemon = True
